WordPress.org

Support

Support » Plugins and Hacks » [Resolved] [Plugin: WordPress HTTPS (SSL)] Breaks front-end Event calendar for Event Organiser plugin

[Resolved] [Plugin: WordPress HTTPS (SSL)] Breaks front-end Event calendar for Event Organiser plugin

  • The Event Organiser plugin uses an AJAX request to grab its content, but it does so by accessing the plugin’s URL at /wp-admin. When visiting the site via HTTP, the WordPress HTTPS plugin forces HTTPS and causes a violation of the same origin policy.

    It would be nice if WordPress HTTPS had either a URL exclusions option or a Regex exclusion option so I could exclude the request URL that the Event Organiser plugin is using.

    I suppose the better solution is probably to get the Event Organiser dev to update the plugin to stop using the wp-admin URL for the AJAX request.

    Thoughts?

    http://wordpress.org/extend/plugins/wordpress-https/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Mike Ems

    @mvied

    Are you using version 3.2.1? I added a check specifically for admin-ajax.php in that version. I forgot to add that to the change log.

    I am… haha, thanks! It’s working fine now.

    I reproduce the issue last night, did the updates this AM but forgot that I had updated WordPress HTTPS as part of those updates before I created this post! Talk about a quick fix… you fixed it before I even reported it!

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Resolved] [Plugin: WordPress HTTPS (SSL)] Breaks front-end Event calendar for Event Organiser plugin’ is closed to new replies.